TD18809). Chỉ áp dụng cho tour ghép khách và đoàn riêng; dịch vụ lẻ trả 404.items là 1 dịch vụ (order item) của đơn trên lịch này, sắp theo giờ đón tăng dần. Đơn có nhiều dịch vụ trên cùng lịch sẽ có nhiều dòng cùng order_id.is_cancelled = true); dòng dịch vụ đã hủy riêng lẻ không trả về.payment là số tiền của cả đơn hàng (tiền tệ gốc của hệ thống), giống các cột Tổng tiền / Đã thu / Còn thiếu / Thu hộ trên CRM.summary tương ứng dòng Tổng (active, đơn chưa hủy) và Tổng hủy (cancelled) ở chân bảng. Tiền cộng theo đơn: đơn có nhiều dòng chỉ cộng 1 lần.| order_status | Trạng thái đơn |
|---|---|
0 | Đang xử lý |
1 | Thành công |
2 | Đã hủy |
3 | Giữ chỗ |
Authorization: Bearer ********************curl --location 'https://demo.tourwell.net/api/v1/tours/TD272/orders' \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "OK",
"data": {
"tour": {
"id": 272,
"code": "TD272",
"name": "Tour Mộc Châu 2N1Đ ghép 12/05",
"type": "join",
"departure_date": "2024-05-12",
"return_date": "2024-05-13",
"status_code": 1,
"status": "Mở bán",
"total_seat": 30,
"deleted_at": null
},
"summary": {
"active": {
"order_count": 13,
"total_seat": 14,
"total_pax": 27,
"adult": 27,
"children": 0,
"infant": 0,
"total_payment": 59000000,
"total_paid": 0,
"total_refunded": 0,
"total_missing": 59000000,
"total_cod": 0
},
"cancelled": {
"order_count": 0,
"total_seat": 0,
"total_pax": 0,
"adult": 0,
"children": 0,
"infant": 0,
"total_payment": 0,
"total_paid": 0,
"total_refunded": 0,
"total_missing": 0,
"total_cod": 0
}
},
"items": [
{
"order_item_id": 855,
"order_id": 645,
"order_code": "UP645",
"order_status": 1,
"order_status_name": "Thành công",
"is_cancelled": false,
"hold_until": null,
"created_at": "2024-05-05T16:49:11+07:00",
"order_at": "2024-05-05T21:35:25+07:00",
"customer": {
"id": 92,
"name": "(Anh) Nguyễn Văn A",
"phone": "0912345678",
"email": "nguyenvana@example.com",
"sub_group": "personal",
"sub_group_name": "Cá nhân"
},
"company": null,
"follower": {
"id": 1,
"name": "Admin",
"email": "admin@example.com"
},
"product_code": null,
"product_name": "Tour Mộc Châu 2N1D",
"depart_date": "2024-05-12",
"return_date": "2024-05-13",
"pickup_time": "06:30",
"pickup_location": "Nhà hát Lớn Hà Nội",
"drop_location": null,
"room_number": "",
"seat_number": null,
"selected_seats": [],
"pax": {
"total_seat": 2,
"total_pax": 2,
"adult": 2,
"children": 0,
"infant": 0,
"passengers_with_info": 2
},
"price_lines": [
{
"object": "Người lớn",
"unit_human": "adult",
"quantity": 2,
"price": 2000000,
"grand_total": 4000000
}
],
"payment": {
"total_payment": 4000000,
"total_paid": 0,
"total_refunded": 0,
"total_missing": 4000000,
"total_cod": 0
},
"service_note": "Khách tự túc xe",
"operator_note": null
}
]
}
}